PTHREAD_SUSPEND_ALL_NP(3)

NAME
pthread_suspend_all_np - suspend all active threads

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
void
pthread_suspend_all_np(void);

DESCRIPTION
The pthread_suspend_all_np() function causes all active threads to be suspended. The only exception is the current thread, the thread that called the pthread_suspend_all_np() function.

It is not safe for the caller of the pthread_suspend_all_np() function to use any non-async signal safe functions, besides pthread_resume_all_np(3), until threads are resumed, unless measures are taken to ensure that all threads are suspended at safe points.

SEE ALSO
pthread_np(3), pthread_resume_all_np(3), pthread_resume_np(3), pthread_suspend_np(3)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.